Bug 429501 - mailq man page broken, sendmail(1) man page in the wrong directory
Summary: mailq man page broken, sendmail(1) man page in the wrong directory
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
(Show other bugs)
Version: 10
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-21 06:40 UTC by Mikel Ward
Modified: 2018-04-11 10:29 UTC (History)
4 users (show)

Fixed In Version: 2.5.6-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 16:27:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make 'man mailq' and 'man newaliases' work (588 bytes, patch)
2008-10-01 19:36 UTC, Richard Fearn
no flags Details | Diff

Description Mikel Ward 2008-01-21 06:40:23 UTC
When using postfix as the system's mta, man qmail gives an error 
fopen: No such file or directory
Cannot open man page /usr/share/man/man1/sendmail.1.gz
No manual entry for mailq

This is because /usr/share/man/man1/mailq.postfix.1.gz just sources man1/sendmail.1.

This might actually be a problem with sendmail or whatever sets up the
/usr/share/man/man8/sendmail.1.gz symlink, since the sendmail(1) man page is
actually in the man8 directory, so obviously it won't be found in the man1
directory.

Present on RHEL 4, CentOS 5, and Fedora 8.

Comment 1 Mikel Ward 2008-01-21 06:49:16 UTC
The simplest change was to edit /usr/share/man/man1/mailq.postfix.1.gz and
change it to ".so man1/sendmail.postfix.1".  A sed command to change from
'sendmail.1' to 'sendmail.postfix.1' in the .spec file would probably do the trick.

Comment 2 Richard Fearn 2008-10-01 19:30:09 UTC
Just noticed the same problem with 'man newaliases' using postfix-2.5.1-2.fc9.i386.

> This might actually be a problem with sendmail or whatever sets up the
> /usr/share/man/man8/sendmail.1.gz symlink

I think you meant whatever sets up sendmail.8.gz, and that symlink looks fine to me. It's set up using the alternatives command when postfix is installed. Upstream, the sendmail man page is in section 1. For the Fedora package, we move man1/sendmail.1 to man1/sendmail.postfix.1, and alternatives is used to set up the links:

/usr/share/man/man8/sendmail.8.gz
    -> /etc/alternatives/mta-sendmailman
        -> /usr/share/man/man1/sendmail.postfix.1.gz

> The simplest change was to edit /usr/share/man/man1/mailq.postfix.1.gz and
> change it to ".so man1/sendmail.postfix.1".

man1/newaliases.postfix.1.gz needs to change in exactly the same way. I've changed both files on my F9 server and now man sendmail/newaliases/mailq all work.

> A sed command to change from
> 'sendmail.1' to 'sendmail.postfix.1' in the .spec file would probably do
> the trick.

Not necessary - the files that need changing are in the upstream code (man/man1/mailq.1 and man/man1/newaliases.1).

Comment 3 Richard Fearn 2008-10-01 19:36:18 UTC
Created attachment 319157 [details]
Patch to make 'man mailq' and 'man newaliases' work

Comment 4 Mikel Ward 2008-10-01 22:03:04 UTC
"I think you meant whatever sets up sendmail.8.gz"

No, I think I meant that it was creating man8/sendmail.1.gz instead of man1/sendmail.1.gz.

Anyway, provided man mailq works after Postfix is installed as the preferred MTA. :-)

Comment 5 Matěj Cepl 2008-11-13 02:14:39 UTC
Very much alive in the current (as of 2008-11-13) Rawhide with postfix-2.5.5-1.fc10.i386

Comment 6 Fedora Update System 2008-11-20 14:30:48 UTC
postfix-2.5.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/postfix-2.5.5-2.fc10

Comment 7 Fedora Update System 2008-11-20 14:35:18 UTC
postfix-2.5.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/postfix-2.5.5-2.fc9

Comment 8 Fedora Update System 2008-11-21 11:04:46 UTC
postfix-2.5.5-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postfix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9861

Comment 9 Fedora Update System 2008-11-22 16:43:42 UTC
postfix-2.5.5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postfix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-9874

Comment 10 Bug Zapper 2008-11-26 02:05:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Fedora Update System 2009-01-24 02:35:39 UTC
postfix-2.5.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postfix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0892

Comment 12 Fedora Update System 2009-01-24 02:40:44 UTC
postfix-2.5.6-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update postfix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0926

Comment 13 Fedora Update System 2009-02-25 16:27:34 UTC
postfix-2.5.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-02-25 16:28:20 UTC
postfix-2.5.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.